#coding:utf-8


# 用get_market_data订阅历史和实时行情

import time


if __name__=='__main__':
    from xtquant import xtdata
    s = '000001.SZ'
    # 实际使用时，该接口每天盘后执行一次即可
    # 该接口会下载历史行情并落地到本地，随后即可通过xtdata.get_local_data接口调用本地行情
    # 同时间、同股票、同周期的行情下载一次即可，
    xtdata.download_history_data(s, '1d','','')
    xtdata.download_history_data('000001.SH', '1d','','')  
    data = xtdata.get_market_data([], [s], '1d', end_time='', count=2,dividend_type='back')
    data2 = xtdata.get_local_data([], [s], '1d', end_time='', count=2,dividend_type='back')
    print('data from get_local_data:\n')
   
    for column in data:
        print(f"              {column}\n {data[column].head()}\n")

    for column in data2:
        print(f"              {column}\n {data2[column].head()}\n")

